namespace XMLForASP.Web
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
    using System.Web.UI;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;

	/// <summary>
	///		Summary description for newsItems.
	/// </summary>
	public abstract class NewsItems : System.Web.UI.UserControl
	{


        protected System.Web.UI.WebControls.PlaceHolder phArrayContents;
        protected System.Web.UI.WebControls.PlaceHolder phHeadlineDelay;
        private string _url;
        private string _newsFilter;
        private string _cacheName;
        private int _cacheDuration;
        private int _headlineDelay;

		public NewsItems()
		{
			this.Init += new System.EventHandler(Page_Init);
		}
        
        //Add a property that user control owner can set for URL
        public string URL {
            get {
                if (_url != null) 
                    return _url;
                else
                    return "http://p.moreover.com/cgi-local/page?c=XML%20and%20metadata%20news&o=xml";

            }
            set {
                _url = value;
            }
        }
        public string NewsFilter {
            get {
                if (_newsFilter != null)
                    return _newsFilter;
                else
                    return "XML";
            }
            set {
                _newsFilter = value;
            }
        }
        public string CacheName {
            get {
                if (_cacheName != null) 
                    return _cacheName;
                else //give a default
                    return "NewsCache";
            }
            set {
                _cacheName = value;

            }
        }
        public int CacheDuration {
            get {
                return _cacheDuration;
            }
            set {
                _cacheDuration = value;

            }
        }
        public int HeadlineDelay {
            get {
                return _headlineDelay;
            }
            set {
                _headlineDelay = value;

            }
        }
		private void Page_Load(object sender, System.EventArgs e){
            string cacheName = this.CacheName;
            string newsURL = this.URL;
            string filter = this.NewsFilter;
            int cacheDuration = this.CacheDuration;

//            string news = (string)Cache.Get(cacheName);
//            if (news == null) { //Nothing in cache
//                NewsFunctions.UpdateCache(cacheName,newsURL,filter,cacheDuration);
//                news = (string)Cache.Get(cacheName);
//            }
//            LiteralControl arrayText = new LiteralControl();
//            arrayText.Text = news;
//            this.phArrayContents.Controls.Add(arrayText);            
			LiteralControl headlineDelay = new LiteralControl();
            headlineDelay.Text = this.HeadlineDelay.ToString();
            this.phHeadlineDelay.Controls.Add(headlineDelay);
        }

		private void Page_Init(object sender, EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
		}

		#region Web Form Designer generated code
		///		Required method for Designer support - do not modify
		///		the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}
